MAIN_PAGE_NAME   = "Final Fantasy Japanese Script Viewer/main.html"
TITLE_PAGE_NAME  = "Final Fantasy Japanese Script Viewer/title.html"
-- ==============================================================================================
-- INTERNAL VARIABLES FOR MISC USE
-- ==============================================================================================



-- ==============================================================================================
-- ==============================================================================================
-- This runs once before doLogic ever runs
function init()
	--loadHTML(TITLE_PAGE_NAME)
	resize(400, 700)
	loadHTML(MAIN_PAGE_NAME)
	callJSFunction("clearAllData")
	writeHTML("scriptarea", "fart")
end


-- ==============================================================================================
-- ==============================================================================================
-- This handles messages sent by the emulator, like if the player presses certain buttons or
-- other events happen within the emulator itself
function getMessage(str)
	if str == "resetgame" then
		init()
	elseif str == "loadstate" then
		loadHTML(MAIN_PAGE_NAME)
		callJSFunction("clearAllData")
	end
end


-- ==============================================================================================
-- ==============================================================================================
-- All main logic goes in here & gets called once per CPU cycle
function doLogic()
	
end



-- GAME IS ABOUT TO LOAD A SCRIPT LINE, SO LET'S DISPLAY THE JAPANESE EQUIVALENT
-- THERE'S A CHANCE SOME LINES GET MANUALLY HANDLED BY THE GAME BUT I DON'T KNOW THE DETAILS
function PC_DB6D()
	if getBank() == 0x0F then
		local textID = getA()
		callJSFunction_Str("displayScriptDiv", "#jpn-script-" .. textID)
	end
end

function PC_CA2B()
	if getBank() == 0x0F then
		callJSFunction("closeScriptDiv")
	end
end