MAIN_PAGE_NAME   = "Zelda 1 Japanese Script Viewer/main.html"
TITLE_PAGE_NAME  = "Zelda 1 Japanese Script Viewer/title.html"
-- ==============================================================================================
-- INTERNAL VARIABLES FOR MISC USE
-- ==============================================================================================



-- ==============================================================================================
-- ==============================================================================================
-- This runs once before doLogic ever runs
function init()
	--loadHTML(TITLE_PAGE_NAME)
	resize(400, 700)
	loadHTML(MAIN_PAGE_NAME)
	callJSFunction("clearAllData")
	writeHTML("scriptarea", "fart")
end


-- ==============================================================================================
-- ==============================================================================================
-- This handles messages sent by the emulator, like if the player presses certain buttons or
-- other events happen within the emulator itself
function getMessage(str)
	if str == "resetgame" then
		init()
	elseif str == "loadstate" then
		loadHTML(MAIN_PAGE_NAME)
		callJSFunction("clearAllData")
	end
end


-- ==============================================================================================
-- ==============================================================================================
-- All main logic goes in here & gets called once per CPU cycle
function doLogic()
	
end



-- GAME IS ABOUT TO LOAD A SCRIPT LINE, SO LET'S DISPLAY THE JAPANESE EQUIVALENT
-- THERE'S A CHANCE SOME LINES GET MANUALLY HANDLED BY THE GAME BUT I DON'T KNOW THE DETAILS
function PC_8606()
	if getBank() == 0x01 then
		local textID = getA() >> 1
		callJSFunction_Str("displayScriptDiv", textID)
	end
end

-- This makes dungeon script text appear
function PC_8837()
	if getBank() == 0x01 then
		local textID = getY() >> 1
		callJSFunction_Str("displayScriptDiv", textID)
	end
end

function PC_84A1()
	if getBank() == 0x05 then
		callJSFunction("clearAllData")
	end
end

function PC_8800()
	if getBank() == 0x05 then
		callJSFunction("clearAllData")
	end
end